//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.3.0.1 
// See <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2022.02.16 at 09:07:18 PM UTC 
//


package com.epam.rd.java.basic.task8;

import java.util.ArrayList;
import java.util.List;

public class TypeA {

    protected List<TypeB> b;

    /**
     * Gets the value of the b property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the b property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getB().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TypeB }
     * 
     * 
     */
    public List<TypeB> getB() {
        if (b == null) {
            b = new ArrayList<TypeB>();
        }
        return this.b;
    }

    @Override
    public String toString() {
        return "TypeA{" +
                b +
                '}';
    }
}
